# Generated by Django 3.0.6 on 2020-05-11 00:22

from django.db import migrations, models
import django.db.models.deletion


def create_control_types(apps, schema_editor):
    ControlType = apps.get_model('spbstu', 'ControlType')
    for name in ('Зачёт', 'Зачёт с оценкой', 'Экзамен'):
        ControlType.objects.create(name=name)


class Migration(migrations.Migration):
    dependencies = [
        ('spbstu', '0014_auto_20200511_0315'),
    ]

    operations = [
        migrations.CreateModel(
            name='ControlType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
            ],
        ),
        migrations.AddField(
            model_name='commission',
            name='date',
            field=models.DateField(default=None),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='commission',
            name='department',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, to='spbstu.Department'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='commission',
            name='education_form',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT,
                                    to='spbstu.EducationForm'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='commission',
            name='subject',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, to='spbstu.Subject'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='commission',
            name='control_type',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, to='spbstu.ControlType'),
            preserve_default=False,
        ),
        migrations.RunPython(create_control_types)
    ]
